VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vcenter::Ovf::DeploymentOption Class Reference
Inheritance diagram for Com::Vmware::Vcenter::Ovf::DeploymentOption:

## Avaliable Methods
public method | set_description ()
public method | get_label ()
public method | set_label ()
public method | get_description ()
public method | get_key ()
public method | set_key ()
public method | new ()
public method | set_default_choice ()
public method | get_default_choice ()

## Detailed Description

The `Com::Vmware::Vcenter::Ovf::DeploymentOption` class contains the information about a deployment option as defined in the OVF specification.

This corresponds to the ovf:Configuration element of the ovf:DeploymentOptionSection in the specification. The ovf:DeploymentOptionSection specifies a discrete set of intended resource allocation configurations. This class represents one item from that set.

See :func:`Com::Vmware::Vcenter::Ovf::LibraryItem.deploy` and :func:`Com::Vmware::Vcenter::Ovf::LibraryItem.filter` .

## Member Function Documentation

public method Com::Vmware::Vcenter::Ovf::DeploymentOption::get_default_choice | ( |  | ) |

Gets the value of 'default_choice' property.

Return values

  default_choice | - The current value of the field. A boolean flag indicates whether this deployment option is the default choice. optional#

Code:
click to view
# Number of lines of code in get_default_choice: 4
sub get_default_choice {
my ($self, %args) = @_;
return $self->{'default_choice'};
}

public method Com::Vmware::Vcenter::Ovf::DeploymentOption::get_description | ( |  | ) |

Gets the value of 'description' property.

Return values

  description | - The current value of the field. A localizable description for the deployment option. optional#

Code:
click to view
# Number of lines of code in get_description: 4
sub get_description {
my ($self, %args) = @_;
return $self->{'description'};
}

public method Com::Vmware::Vcenter::Ovf::DeploymentOption::get_key | ( |  | ) |

Gets the value of 'key' property.

Return values

  key | - The current value of the field. The key of the deployment option, corresponding to the ovf:id attribute in the OVF descriptor. optional#

Code:
click to view
# Number of lines of code in get_key: 4
sub get_key {
my ($self, %args) = @_;
return $self->{'key'};
}

public method Com::Vmware::Vcenter::Ovf::DeploymentOption::get_label | ( |  | ) |

Gets the value of 'label' property.

Return values

  label | - The current value of the field. A localizable label for the deployment option. optional#

Code:
click to view
# Number of lines of code in get_label: 4
sub get_label {
my ($self, %args) = @_;
return $self->{'label'};
}

public method Com::Vmware::Vcenter::Ovf::DeploymentOption::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vcenter::Ovf::DeploymentOption structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 22
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{key} = $args{'key'};
$self->{label} = $args{'label'};
$self->{description} = $args{'description'};
$self->{default_choice} = $args{'default_choice'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vcenter::Ovf::DeploymentOption');
$self->set_binding_name('name' => 'com.vmware.vcenter.ovf.deployment_option');
$self->set_binding_field('key' => 'key', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'label', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'description', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'default_choice', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::BooleanType()));
bless $self, $class;
return $self;
}

public method Com::Vmware::Vcenter::Ovf::DeploymentOption::set_default_choice | ( |  | ) |

Sets the given value for 'default_choice' property.

Parameters

  default_choice | - New value for the field. A boolean flag indicates whether this deployment option is the default choice.

Code:
click to view
# Number of lines of code in set_default_choice: 5
sub set_default_choice {
my ($self, %args) = @_;
$self->{'default_choice'} = $args{'default_choice'};
return;
}

public method Com::Vmware::Vcenter::Ovf::DeploymentOption::set_description | ( |  | ) |

Sets the given value for 'description' property.

Parameters

  description | - New value for the field. A localizable description for the deployment option.

Code:
click to view
# Number of lines of code in set_description: 5
sub set_description {
my ($self, %args) = @_;
$self->{'description'} = $args{'description'};
return;
}

public method Com::Vmware::Vcenter::Ovf::DeploymentOption::set_key | ( |  | ) |

Sets the given value for 'key' property.

Parameters

  key | - New value for the field. The key of the deployment option, corresponding to the ovf:id attribute in the OVF descriptor.

Code:
click to view
# Number of lines of code in set_key: 5
sub set_key {
my ($self, %args) = @_;
$self->{'key'} = $args{'key'};
return;
}

public method Com::Vmware::Vcenter::Ovf::DeploymentOption::set_label | ( |  | ) |

Sets the given value for 'label' property.

Parameters

  label | - New value for the field. A localizable label for the deployment option.

Code:
click to view
# Number of lines of code in set_label: 5
sub set_label {
my ($self, %args) = @_;
$self->{'label'} = $args{'label'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vcenter/Ovf/DeploymentOption.pm